Summary:	A set of tools to display and debug your BIOS ACPI tables
Name:		acpica
Version:	20180313
Release:	1
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://acpica.org
# Sources and patches are takes from Rawhide
Source0:        https://acpica.org/sites/acpica/files/acpica-unix2-%{version}.tar.gz
Patch0:		acpica-tools-20150717-no_strip_on_install.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	glibc-devel

Provides:       pmtools = %{EVRD}
Provides:       iasl = %{EVRD}

%description
The included tools share the same code as it is used in the ACPI
implementation of the kernel. The code of the acpica project is exactly
the same as the ACPI parser and interpreter code of the kernel and the
code gets synced regularly from the acpica project into the kernel.
E.g. if you identify bugs in the kernel's ACPI implementation it might
be easier to debug them in userspace if possible. If the bug is part of
the acpica code, it has to be submitted to the acpica project to get
merged into the mainline kernel sources.

%prep
%setup -q -n acpica-unix2-%{version}
%patch0 -p1

# spurious executable permissions on text files in upstream
chmod a-x changes.txt

%build
sed -i -e 's/_CYGWIN/_LINUX/g' -e 's/-Werror//g' generate/unix/Makefile.config
# forget parallel here.Sflo
make -C generate/unix CC="gcc %{optflags}"

%install
make DESTDIR=%{buildroot} install
# Fix bin perms
chmod -R u+w %{buildroot}/%{_bindir}/*

%files
%doc changes.txt
%{_bindir}/iasl
%{_bindir}/acpi*

%changelog

* Sun Apr 15 2018 Denis Silakov <dsilakov@virtuozzo.com> 20180313-1
- (edebdba) Updated to 20180313


